### Function

# ECal util_init_recur_task_sync

since: 3.30

#### Declaration [src]

    gboolean
    e_cal_util_init_recur_task_sync (
      ICalComponent* vtodo,
      _ECalClient* cal_client,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Initializes properties of a recurring `vtodo`, like normalizing the Due date and eventually the Start date. The function does nothing when the `vtodo` is not recurring.

The function doesn’t change LAST-MODIFIED neither the SEQUENCE property, it’s up to the caller to do it.

Note the `cal_client`, `cancellable` and `error` is used only for timezone resolution. The function doesn’t store the `vtodo` to the `cal_client`, it only updates the `vtodo` component.

Available since: 3.30

#### Parameters

`vtodo`

  Type: `None`

  A VTODO component.

  The data is owned by the caller of the function.

`cal_client`

  Type: `ECalClient`

  An `ECalClient` to which the `vtodo` belongs.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.